.\"
.\" Copyright (c) 1996 Jonathan Stone.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Jonathan Stone.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: intro.4,v 1.16 2005/06/20 13:25:25 peter Exp $
.\"
.Dd July 29, 2006
.Dt INTRO 4 pmax
.Os
.Sh NAME
.Nm intro
.Nd introduction to pmax special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation; see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices which may be configured into
the system and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported on the pmax
(MIPS-based DECstation/DECsystem) platform.
Software support for these devices comes in two forms.
A hardware device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.
When the resultant system is booted, the autoconfiguration facilities
in the system probe for the device and, if found, enable the software
support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4
.Sh SUPPORTED SYSTEMS
The following systems are supported:
.Pp
.Bl -tag -width speaker -offset indent -compact
.It DECstation 2100 and 3100
also known as "pmax". The 2100 and 3100 differ only in CPU clock speed.
.It DECsystem 5100
also known as "MIPSMATE".
.It DECstation 5000/200
also known as "3MAX".
The 5000/200 has a 25 MHz R3000 and is the first-generation TURBOchannel
platform.
.It DECstation 5000/1xx
also known as "3MIN" or "kmin".
The 5000/1xx comes in 20 MHz, 25 MHz, and 33 MHz versions and is
numbered appropriately.
Two 12.5 MHz
TURBOchannel slots are provided.
.It DECstation 5000/2x
also known as "Personal DECstation" or "MAXINE".
The 5000/xx comes in 20 MHz and 25 MHz variants.
A baseboard 1024x786 framebuffer, and two 12.5 MHz TURBOchannel slots
are provided.
.It DECstation 5000/240 and DECsystem 5900
also known as "3MAXPLUS".
These systems have a 40 MHz R3400 CPU and three 25 MHz TURBOchannel slots.
The 5900 is an expanded-cabinet version of the 5000/240.
.El
.Pp
TURBOchannel systems (except the 5000/200) can be upgraded to an
R4000 or R4400 CPU by upgrading the CPU daughterboard.
.Pp
The Qbus-based DECsystem 5400 and 5500 are not supported.
.Pp
The multi-processor XMI-bus DECsystem 5800 is not supported.
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of the system.
Devices are indicated by their functional interface.
Not all supported devices are listed.
.Pp
.Bl -tag -width speaker -offset indent -compact
.It asc
NCR 53c94-based SCSI interface, either on DECstation 5000-series
baseboard or PMAZ-AA SCSI option card.
.It bba
baseboard audio on 5000/xx systems.
.It dz
serial driver for DEC custom four-port serial device (dc7085 DZ-11 clone)
on the baseboard of DECstation 2100/31000, 5100, and 5000/200 systems.
.It zsc
serial driver for Zilog SCC asynchronous/synchronous devices on the
baseboard of DECstation 5000-series systems (excluding 5000/200).
.It le
Ethernet driver for baseboard or TURBOchannel option cards.
.It ioasic
Adaptor for the baseboard IO ASIC on second-generation TURBOchannel
machines.
An ioasic must be configured on a 5000/1xx, 5000/xx, and 5000/240
if support for baseboard devices or the TURBOchannel bus is desired.
.It wsdisplay
Pseudo-device driver supporting glass-tty console emulation on DEC
framebuffers, DEC mice, and LK-201 family keyboards.
.It sii
DEC custom SCSI adaptor on DECstation 2100, 3100, 5100, and VAXstation 3100.
.It pm
DECstation 2100/3100 baseboard framebuffer
.It tc
Adaptor for the TURBOchannel I/O expansion bus.
This must be included if any TURBOchannel option cards are supported,
or for the baseboard Ethernet and SCSI devices on a 5000/200.
.It cfb
PMAG-B TURBOchannel 1024x876 unaccelerated 2-D framebuffer.
.It sfb
PMAGB-BA TURBOchannel 1280x1024 accelerated framebuffer.
.It mfb
PMAG-AA TURBOchannel 1280x1024 mono/greyscale unaccelerated framebuffer.
.It tfb
PMAG-JA and PMAG-RO TURBOchannel 1280x1024 unaccelerated framebuffer.
.It px
PMAG-C TURBOchannel 2-D accelerated graphics board.
.It pxg
PMAG-D, E and F TURBOchannel 2-D/3-D accelerated graphics boards.
.El
.Sh UNSUPPORTED DEVICES
The following devices are not supported, due to unavailability of
either documentation or sample hardware:
.Pp
.Bl -tag -width speaker -offset indent -compact
.It LoFi	DEC Western Research Labs audio card
.El
.Pp
The floppy-disk drive on the MAXINE baseboard is currently not
supported.
.Sh HISTORY
This
.Tn pmax
.Nm intro
appeared in
.Nx 1.2 .
